## sleekxmpp 1.3.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SleekXMPP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SleekXMPP.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SleekXMPP"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SleekXMPP"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## sleekxmpp 1.0~beta4

=== debian/changelog ===
sleekxmpp (1.0~beta4-3) unstable; urgency=low

  * Update copyright file:
    + Bump format to Subversion draft 173 of DEP5.
    + Fix use wildcard Files section (not header section) for default
      copyright/licensing.
    + Tidy comment of GPL-2+ License section.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Mar 2011 10:36:27 +0200

sleekxmpp (1.0~beta4-2) experimental; urgency=low

  * Fix add ${python:Depends} and ${python:Provides}.
  * Fix suppress double build-dependency on cdbs.
  * Fix limit to Python 2.6 or newer.
  * Declare dpendency on python-dns via dh_python{2.3}.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Jan 2011 23:37:30 +0100

sleekxmpp (1.0~beta4-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#588973.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Jan 2011 22:28:11 +0100

=== debian/control ===
Source: sleekxmpp
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts (>= 2.10.7~),
 python (>= 2.6.5),
 python3,
 cdbs (>= 0.4.90~),
 debhelper (>= 7.0.1),
 dh-buildinfo
Standards-Version: 3.9.1
Homepage: http://wiki.github.com/fritzy/SleekXMPP
Vcs-Git: git://git.debian.org/git/collab-maint/sleekxmpp
Vcs-Browser: http://git.debian.org/?p=collab-maint/sleekxmpp.git
X-Python-Version: >= 2.6

Package: python-sleekxmpp
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python XMPP (Jabber) Library Implementing Everything as a Plugin
 SleekXMPP is a pet project of an XMPP enthusiast. The goals of the
 project are ease of implementation, and complete draft XEP (XMPP
 Extended Protocol) coverage. Ideally the community will be able to use
 this for bots, easy XEP protocoling, etc.

Package: python3-sleekxmpp
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python XMPP (Jabber) Library Implementing Everything as a Plugin
 SleekXMPP is a pet project of an XMPP enthusiast. The goals of the
 project are ease of implementation, and complete draft XEP (XMPP
 Extended Protocol) coverage. Ideally the community will be able to use
 this for bots, easy XEP protocoling, etc.

## sleekxmpp 1.0~beta5

=== debian/changelog ===
sleekxmpp (1.0~beta5-2) unstable; urgency=low

  * Bump policy compliance to standards-version 3.9.2.
  * Improve watch file:
    + Suppress out of order (due to oddly naming) 1.0.0 beta release.
    + Handle RC releases.
  * Fix recommend python-dnspython (not depend on python-dns) and
    suggest python3-dnspython (as it is not yet in Debian).
    Closes: bug#656466. Thanks to Scott Kitterman.
  * Extend copyright years for debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jan 2012 15:28:56 +0100

sleekxmpp (1.0~beta5-1) unstable; urgency=low

  * New upstream release.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Update copyright file:
    + Bump format to Subversion draft 173 of DEP5.
    + Quote license name in comment.
    + Add more copyright holders.
  * Update package relations:
    + Tighten build-dependency on cdbs.
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Nov 2011 17:46:17 +0700

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: devscripts (>= 2.10.7~),
+Build-Depends: devscripts,
  python (>= 2.6.5),
  python3,
- cdbs (>= 0.4.90~),
- debhelper (>= 7.0.1),
+ cdbs (>= 0.4.97~),
+ debhelper,
  dh-buildinfo
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://wiki.github.com/fritzy/SleekXMPP
 Vcs-Git: git://git.debian.org/git/collab-maint/sleekxmpp
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sleekxmpp.git
@@ -17,6 +17,8 @@
 Package: python-sleekxmpp
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
+Recommends: ${python:Recommends}
+Suggests: ${python:Suggests}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Python XMPP (Jabber) Library Implementing Everything as a Plugin
@@ -28,6 +30,8 @@
 Package: python3-sleekxmpp
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
+Recommends: ${python3:Recommends}
+Suggests: ${python3:Suggests}
 Description: Python XMPP (Jabber) Library Implementing Everything as a Plugin
  SleekXMPP is a pet project of an XMPP enthusiast. The goals of the
  project are ease of implementation, and complete draft XEP (XMPP

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011-2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for SleekXMPP
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/fritzy/SleekXMPP
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~beta/-Beta/
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 09802f9dd733fef6fd5229601b7d5538

# Suppress unneeded build-dependencies
CDBS_BUILD_DEPENDS_class_python-distutils_python =

# FIXME: Use proper variable when implemented in cdbs
# TODO: Recommend (not sugest) for python3 when available in Debian
DEB_PYTHON_PRIVATE_MODULES_DIRS_python-sleekxmpp = --recommends=python-dnspython
DEB_PYTHON_PRIVATE_MODULES_DIRS_python3-sleekxmpp = --suggests=python-dnspython

DEB_INSTALL_EXAMPLES_ALL = examples/*

=== debian/watch ===
version=3
opts=uversionmangle=s/-Beta/~beta/;s/-RC/~rc/;s/1\.0\.0-beta5/1.0~beta5/ \
http://githubredir.debian.net/github/fritzy/SleekXMPP /(\d.*).tar.gz

## sleekxmpp 1.3.1

=== debian/changelog ===
sleekxmpp (1.3.1-4) unstable; urgency=medium

  * Use python-socks | python-socksipy instead of socksify only
    for Build-Depends and Recommends (Closes: #810308).
    Thanks to Scott Kitterman.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 09 Jan 2016 16:08:09 +0000

sleekxmpp (1.3.1-3) unstable; urgency=medium

  * Leave thirdparty/__init__.py (Closes: #809291). Thanks to Chris Lamb.

 -- W. Martin Borgert <debacle@debian.org>  Tue, 29 Dec 2015 21:36:59 +0000

sleekxmpp (1.3.1-2) unstable; urgency=medium

  * Remove embedded copy of python-dateutil, recommend it instead
  * Remove embedded copy of python-gnupg, recommend it instead
  * Remove embedded copy of python-socksipy, recommend it instead
  * Remove unneeded embedded copy of ordereddict

 -- W. Martin Borgert <debacle@debian.org>  Wed, 23 Dec 2015 21:16:33 +0000

sleekxmpp (1.3.1-1) unstable; urgency=medium

  * New upstream (Closes: #665015)
  * DPMT team maintenance
  * Change from CDBS and gbp to dh and git-dpm

 -- W. Martin Borgert <debacle@debian.org>  Tue, 22 Dec 2015 23:03:50 +0000

=== debian/control ===
Source: sleekxmpp
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: devscripts,
	python (>= 2.6.5),
	python-dateutil,
	python-gnupg,
	python-socks | python-socksipy,
	python3,
	python3-dateutil,
	python3-gnupg,
	python3-socks | python3-socksipy,
	dh-python,
	debhelper,
	dh-buildinfo
Standards-Version: 3.9.6
Homepage: http://wiki.github.com/fritzy/SleekXMPP
Vcs-Git: git://anonscm.debian.org/python-modules/packages/sleekxmpp.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sleekxmpp.git

Package: python-sleekxmpp
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-dateutil,
	python-dnspython,
	python-gnupg,
	python-socks | python-socksipy,
	${python:Recommends}
Suggests: ${python:Suggests}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python XMPP (Jabber) Library Implementing Everything as a Plugin
 SleekXMPP is a pet project of an XMPP enthusiast. The goals of the
 project are ease of implementation, and complete draft XEP (XMPP
 Extended Protocol) coverage. Ideally the community will be able to use
 this for bots, easy XEP protocoling, etc.

Package: python3-sleekxmpp
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-dateutil,
	python3-dnspython,
	python3-gnupg,
	python3-socks | python3-socksipy,
	${python3:Recommends}
Suggests: ${python3:Suggests}
Provides: ${python3:Provides}
Description: Python XMPP (Jabber) Library Implementing Everything as a Plugin
 SleekXMPP is a pet project of an XMPP enthusiast. The goals of the
 project are ease of implementation, and complete draft XEP (XMPP
 Extended Protocol) coverage. Ideally the community will be able to use
 this for bots, easy XEP protocoling, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=sleekxmpp

%:
	dh $@ --buildsystem=pybuild --with python2,python3

override_dh_auto_test:
	./testall.py

## sleekxmpp 1.3.3

=== debian/changelog ===
sleekxmpp (1.3.3-6) unstable; urgency=medium

  * Change default ssl_version from ssl.PROTOCOL_TLSv1 to
    ssl.PROTOCOL_TLS (Closes: #933042).

 -- Martin <debacle@debian.org>  Fri, 17 Jul 2020 10:06:38 +0000

sleekxmpp (1.3.3-5) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ W. Martin Borgert ]

  * Move dateutil from Recommends to Depends.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 12:58:14 +0500

sleekxmpp (1.3.3-4) unstable; urgency=medium

  * fix invalid function name under Python 3.7 (Closes: #904453),
    patch taken from slixmpp, thanks to Emmanuel Gil Peyrot

 -- W. Martin Borgert <debacle@debian.org>  Thu, 02 Aug 2018 17:09:39 +0000

sleekxmpp (1.3.3-3) unstable; urgency=medium

  * Add patch to make the build reproducible. (Closes: #890193)
  * Refresh patches with pq import -> pq export.
  * Add myself to Uploaders.
  * debian/control:
    - Update Homepage in debian/control.
    - Make the short and long descriptions unique.
  * debian/copyright:
    - Remove reference to sleekxmpp/thirdparty/ordereddict.py (and associated
      "License:" paragraph) in debian/copyright as we remove this file.
    - Use HTTPS "Format:" URI in debian/copyright.
  * Move to debhelper compat level 11.

 -- Chris Lamb <lamby@debian.org>  Sun, 11 Feb 2018 21:48:17 +0000

sleekxmpp (1.3.3-2) unstable; urgency=medium

  * fixes TLS date handling for both two digit and four digit yearx
    (Closes: #864257 again)
  * fixes compatibility issues with pyasn1 >= 0.4.1
    (would need to removed for backport)
  * add examples
  * add sphinx docs

 -- W. Martin Borgert <debacle@debian.org>  Sun, 11 Feb 2018 00:10:45 +0000

sleekxmpp (1.3.3-1) unstable; urgency=medium

  * New upstream release which (Closes: #864257)
  * Removed patches added in 1.3.1-6, now applied upstream
  * Use dh 10, bump standars version to 4.1.0, no changes

 -- W. Martin Borgert <debacle@debian.org>  Sat, 02 Sep 2017 19:27:48 +0000

sleekxmpp (1.3.1-6) unstable; urgency=medium

  * Fix CVE-2017-5591:
    An incorrect implementation of XEP-0280: Message Carbons in slixmpp allows
    a remote attacker to impersonate any user, including contacts, in the
    vulnerable application's display. This allows for various kinds of social
    engineering attacks. (Closes: #854739)
  * Use ssl.get_protocol_name() to find out which TLS version is
    in use (allows the latest TLS versions to be used as well as any future
    versions). (Closes: #851900)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 03 Apr 2017 00:04:06 +0000

sleekxmpp (1.3.1-5) unstable; urgency=medium

  * use debhelper 9 compat
  * new standards version, no changes
  * lintian fix for debian/watch

 -- W. Martin Borgert <debacle@debian.org>  Sun, 25 Dec 2016 21:28:41 +0000

=== debian/control ===
Source: sleekxmpp
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>, Chris Lamb <lamby@debian.org>
Build-Depends: devscripts,
	python3,
	python3-dateutil,
	python3-gnupg,
	python3-socks | python3-socksipy,
	python3-sphinx,
	dh-python,
	debhelper-compat (= 11),
	dh-buildinfo
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://wiki.github.com/fritzy/SleekXMPP
Vcs-Git: https://salsa.debian.org/python-team/modules/sleekxmpp.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sleekxmpp

Package: python3-sleekxmpp
Architecture: all
Depends: python3-pyasn1 (>= 0.4.2),
	python3-dateutil,
	${python3:Depends},
	${misc:Depends},
	${sphinxdoc:Depends}
Recommends: python3-dnspython,
	python3-gnupg,
	python3-socks | python3-socksipy,
	${python3:Recommends}
Suggests: ${python3:Suggests}
Provides: ${python3:Provides}
Description: XMPP (Jabber) Library Implementing Everything as a Plugin (Python 3.x)
 SleekXMPP is a pet project of an XMPP enthusiast. The goals of the
 project are ease of implementation, and complete draft XEP (XMPP
 Extended Protocol) coverage. Ideally the community will be able to use
 this for bots, easy XEP protocoling, etc.
 .
 This package contains the Python 3.x library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=sleekxmpp

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_test:
	python3 ./testall.py

override_dh_auto_build:
	dh_auto_build
	cd docs; make html

override_dh_sphinxdoc-indep:
	dh_sphinxdoc -Xtheme_extras.js

=== debian/watch ===
version=3
opts=uversionmangle=s/-Beta/~beta/;s/-RC/~rc/;s/1\.0\.0-beta5/1.0~beta5/ \
https://github.com/fritzy/SleekXMPP/tags .*/(.*)\.tar\.gz
